Ramp: Update a general ledger account — request body — body
Update a general ledger account: request body, field body. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Update a general ledger account — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accounting_connection_id | string | Optional | If this GL account belongs to an inactive accounting connection, you must specify that accounting connection’s ID. Format: uuid |
code | string | Optional | code of the general ledger account; you could provide an empty string if you want to reset the code. |
entity_remote_ids | JSON | Optional | |
entity_remote_ids (anyOf 1) | array | Alternative | Remote/external IDs of entities created through POST /developer/v1/accounting/entities that this GL account should be available for. Pass null to reset the GL account to all connected entities. Omit this field to leave entity scoping unchanged. Minimum items: 1 |
entity_remote_ids (anyOf 1)[] | string | Each item | Minimum length: 1 |
entity_remote_ids (anyOf 2) | null | Alternative | |
name | string | Optional | name of the general ledger account |
reactivate | boolean | Optional | reactivate a deleted general ledger account One of: true |
visibility | string | Optional | Hide or show the general ledger account. One of: HIDDEN, VISIBLE |